## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMemMgrAutoPtr< Type, toCallDestructor > Class Template Reference

Collaboration diagram for XalanMemMgrAutoPtr< Type, toCallDestructor >:

[legend]
List of all members.

## Public Types

- typedef XALAN_STD_QUALIFIER
  pair< MemoryManagerType *,
  Type * > AutoPtrPairType

## Public Member Functions

- XalanMemMgrAutoPtr (MemoryManagerType &theManager, Type *ptr)
- XalanMemMgrAutoPtr ()
- XalanMemMgrAutoPtr (const XalanMemMgrAutoPtr< Type, toCallDestructor > &theSource)
- XalanMemMgrAutoPtr< Type,
  toCallDestructor > & operator= (XalanMemMgrAutoPtr< Type, toCallDestructor > &theRHS)
- ~XalanMemMgrAutoPtr ()
- Type & operator * () const
- Type * operator-> () const
- Type * get () const
- MemoryManagerType * getMemoryManager ()
- const MemoryManagerType * getMemoryManager () const
- MemMgrAutoPtrData release ()
- Type * releasePtr ()
- void reset (MemoryManagerType *theManager=0, Type *thePointer=0)

### template<class Type, bool toCallDestructor = true>
class XalanMemMgrAutoPtr< Type, toCallDestructor >

## Member Typedef Documentation

template<class Type, bool toCallDestructor = true>
typedef XALAN_STD_QUALIFIER pair<MemoryManagerType*, Type*> XalanMemMgrAutoPtr< Type, toCallDestructor >::AutoPtrPairType

## Constructor & Destructor Documentation

template<class Type, bool toCallDestructor = true>
XalanMemMgrAutoPtr< Type, toCallDestructor >::XalanMemMgrAutoPtr | ( | MemoryManagerType & | theManager,
|  | Type * | ptr
| ) |

template<class Type, bool toCallDestructor = true>
XalanMemMgrAutoPtr< Type, toCallDestructor >::XalanMemMgrAutoPtr | ( |  | ) |

template<class Type, bool toCallDestructor = true>
XalanMemMgrAutoPtr< Type, toCallDestructor >::XalanMemMgrAutoPtr | ( | const XalanMemMgrAutoPtr< Type, toCallDestructor > & | theSource | ) |

template<class Type, bool toCallDestructor = true>
XalanMemMgrAutoPtr< Type, toCallDestructor >::~XalanMemMgrAutoPtr | ( |  | ) |

## Member Function Documentation

template<class Type, bool toCallDestructor = true>
Type* XalanMemMgrAutoPtr< Type, toCallDestructor >::get | ( |  | ) | const

template<class Type, bool toCallDestructor = true>
const MemoryManagerType* XalanMemMgrAutoPtr< Type, toCallDestructor >::getMemoryManager | ( |  | ) | const

template<class Type, bool toCallDestructor = true>
MemoryManagerType* XalanMemMgrAutoPtr< Type, toCallDestructor >::getMemoryManager | ( |  | ) |

template<class Type, bool toCallDestructor = true>
Type& XalanMemMgrAutoPtr< Type, toCallDestructor >::operator * | ( |  | ) | const

template<class Type, bool toCallDestructor = true>
Type* XalanMemMgrAutoPtr< Type, toCallDestructor >::operator-> | ( |  | ) | const

template<class Type, bool toCallDestructor = true>
XalanMemMgrAutoPtr<Type,toCallDestructor>& XalanMemMgrAutoPtr< Type, toCallDestructor >::operator= | ( | XalanMemMgrAutoPtr< Type, toCallDestructor > & | theRHS | ) |

template<class Type, bool toCallDestructor = true>
MemMgrAutoPtrData XalanMemMgrAutoPtr< Type, toCallDestructor >::release | ( |  | ) |

template<class Type, bool toCallDestructor = true>
Type* XalanMemMgrAutoPtr< Type, toCallDestructor >::releasePtr | ( |  | ) |

template<class Type, bool toCallDestructor = true>
void XalanMemMgrAutoPtr< Type, toCallDestructor >::reset | ( | MemoryManagerType * | theManager = 0,
|  | Type * | thePointer = 0
| ) |

The documentation for this class was generated from the following file:

- XalanMemMgrAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.